/*
** main.c
**
** Nokia 3310 Example Program
** Target: ATMEGA :: AVR-GCC
**
** Written by Tony Myatt - 2007
** Quantum Torque - www.quantumtorque.com
*/
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <stdio.h>
#include "lcd.h"

/* main -- Program starts here */
int main(void)
{	
	unsigned char linie[6];
	linie[0] = 0xff;
	linie[1] = 0x00;
	linie[2] = 0x00;
	linie[3] = 0x00;
	// Setup LCD
	lcd_init();
	lcd_contrast(0x40);
	lcd_clear();
	
	int i =0;
	char sc1 = 0;
	char sc2 = 0;
	int y1 = 0,y2 = 1; 
	int counter = 0;
	//lcd_goto_xy_exact(0,4);
	lcd_str("Proiect PM ");
	lcd_str("                     waiting...");
	
	for( i =0; i<5 ;i++){
	_delay_ms(5000000);
	_delay_ms(5000000);
	}
	
	
	
	lcd_clear();
	f(0,0,linie[0]);
	f(0,1,linie[1]);
	f(80,5,linie[2]);
	f(80,4,linie[3]);
	
	while(1){
		linie[0] = linie[0] << 1;
		counter  = (counter++)%8;
		linie[1] |= (1 << counter);
		f(0,y1,linie[0]);
		f(0,y2,linie[1]);
		if(linie[0] == 0x00) {
			y1 = y2;
			linie[0] = linie[1];
			linie[1] = 0x00;
			linie[2] = y2++;
			}
		_delay_ms(2000);
	}
	
	while(1);
}
